Package com.opensymphony.sitemesh

# Interface Content

All Known Implementing Classes:
  `HTMLPage2Content`

public interface Content

Since:
  SiteMesh 3
Author:
  Joe Walnes

## Method Summary

Modifier and Type
Method
Description
`void`
`addProperty(String name, String value)`
Manually add a property to page.
`String`
`getProperty(String name)`
Get a property embedded into the `Page` as a `String`.
`String[]`
`getPropertyKeys()`
Get all available property keys for the `Page`.
`String`
`getTitle()`
Get the Title of the document
`int`
`originalLength()`
Length of the original unprocessed content.
`void`
`writeBody(Writer out)`
Write the contents of the `<body>` tag.
`void`
`writeHead(Writer out)`
Write the contents of the `<head>` tag.
`void`
`writeOriginal(Writer writer)`
Write out the original unprocessed content.

## Method Details

### writeOriginal

void writeOriginal(Writer writer) throws IOException
Write out the original unprocessed content.

Throws:
  `IOException`

### originalLength

int originalLength()
Length of the original unprocessed content.

### writeBody

void writeBody(Writer out) throws IOException
Write the contents of the `<body>` tag.

Throws:
  `IOException`

### writeHead

void writeHead(Writer out) throws IOException
Write the contents of the `<head>` tag.

Throws:
  `IOException`

### getTitle

String getTitle()
Get the Title of the document

### getProperty

String getProperty(String name)
Get a property embedded into the `Page` as a `String`.

Parameters:
  `name` - Name of property
Returns:
  Property value

### getPropertyKeys

String[] getPropertyKeys()
Get all available property keys for the `Page`.

Returns:
  Property keys

### addProperty

void addProperty(String name, String value)
Manually add a property to page.